﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_ADJUSTEXCH')
 CREATE TABLE T_AP_ADJUSTEXCH (
FID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FBASECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FADJEXCHMODE VARCHAR(30) DEFAULT ' ' NOT NULL,
FADJEXCHDATE DATETIME,
FLISTPERIOD BIGINT DEFAULT 0 NOT NULL,
FGAINLOSS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISADJEXCH CHAR(1) DEFAULT '0' NOT NULL,
FISPERIOD CHAR(1) DEFAULT '0' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_ADJUSTEXCHENTRY')
 CREATE TABLE T_AP_ADJUSTEXCHENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFROMCURRID BIGINT DEFAULT 0 NOT NULL,
FTOCURRID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME,
FEXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQUOTATION VARCHAR(30) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_ADJUSTEXCH' AND KSQL_COL_NAME ='FBIZSYSTEM')
 ALTER TABLE T_AP_ADJUSTEXCH ADD (FBIZSYSTEM VARCHAR(30) DEFAULT ' ' NOT NULL );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
