﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ARAP_EXECCONTROL') 
 CREATE TABLE T_ARAP_EXECCONTROL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FBIZOBJID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCTRLTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCTRLMODE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCTRLPOINT VARCHAR(50) DEFAULT ' ' NOT NULL,
FISPREINSERT CHAR(1) DEFAULT '0' NOT NULL,
FCTRLEXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTIPS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPLUGIN VARCHAR(255) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ARAP_EXECCONTROL_L') 
 CREATE TABLE T_ARAP_EXECCONTROL_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_BUSVERIFYRECORD')
 CREATE TABLE T_AP_BUSVERIFYRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FWFNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FWFSEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FWRITEOFFTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPAYPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FHEADWFINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHEADWFINFO_TAG NCLOB,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_BUSVERIFYRECORDENTRY')
 CREATE TABLE T_AP_BUSVERIFYRECORDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBILLTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FASSTACTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FASSTACT BIGINT DEFAULT 0 NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FBASECURRENCY BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FBASEUNIT BIGINT DEFAULT 0 NOT NULL,
FBILLQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICETAXTOTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERIFYVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERIFYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FWOFFBILLID BIGINT DEFAULT 0 NOT NULL,
FWOFFBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FASSBILLTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FASSBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FASSTBIZDATE DATETIME,
FASSTASSTACTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FASSTASSTACT BIGINT DEFAULT 0 NOT NULL,
FASSTCURRENCY BIGINT DEFAULT 0 NOT NULL,
FASSTBASECURRENCY BIGINT DEFAULT 0 NOT NULL,
FASSTMATERIAL BIGINT DEFAULT 0 NOT NULL,
FASSTEXPENSEITEM BIGINT DEFAULT 0 NOT NULL,
FASSUNIT BIGINT DEFAULT 0 NOT NULL,
FASSTBASEUNIT BIGINT DEFAULT 0 NOT NULL,
FASSBILLQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSTBILLBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSTPRICETAXTOTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSVERIFYVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSTVERIFYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSTBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSTLOCALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSBILLID BIGINT DEFAULT 0 NOT NULL,
FASSBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FASSTWOFFBILLID BIGINT DEFAULT 0 NOT NULL,
FASSTWOFFBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FBACKWFOP VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAINWFINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMAINWFINFO_TAG NCLOB,
FASSWFINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FASSWFINFO_TAG NCLOB
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
