﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_CHECKRESULT') 
 CREATE TABLE T_AP_CHECKRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZOBJ VARCHAR(30) DEFAULT ' ' NOT NULL,
FCHECKDATE DATETIME,
FCHECKBEGINTIME DATETIME,
FCHECKENDTIME DATETIME,
FBIZBEGINDATE DATETIME,
FBIZENDDATE DATETIME,
FEXECSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCHECKRESULT VARCHAR(30) DEFAULT ' ' NOT NULL,
FTRACEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_CHECKRESULTENTRY') 
 CREATE TABLE T_AP_CHECKRESULTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCHECKITEMID BIGINT DEFAULT 0 NOT NULL,
FEXECSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FEXECBEGINTIME DATETIME,
FEXECENDTIME DATETIME,
FCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHECKRESULT VARCHAR(30) DEFAULT ' ',
FBILLCOUNT INT DEFAULT 0 NOT NULL,
FERRORCOUNT INT DEFAULT 0 NOT NULL,
FEXCEPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXCEPTION_TAG NCLOB,
FTRACEID VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_DATACHECKSITEM' AND KSQL_COL_NAME ='FAPP') 
 ALTER TABLE T_AP_DATACHECKSITEM ADD (FAPP VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_DATACHECKSITEM' AND KSQL_COL_NAME ='FBIZOBJ') 
 ALTER TABLE T_AP_DATACHECKSITEM ADD (FBIZOBJ VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_DATACHECKSITEM' AND KSQL_COL_NAME ='FCHECKTYPE') 
 ALTER TABLE T_AP_DATACHECKSITEM ADD (FCHECKTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_DATACHECKSITEM' AND KSQL_COL_NAME ='FCLUBURL') 
 ALTER TABLE T_AP_DATACHECKSITEM ADD (FCLUBURL NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_DATACHECKSITEM' AND KSQL_COL_NAME ='FCUSTOMFILTER') 
 ALTER TABLE T_AP_DATACHECKSITEM ADD (FCUSTOMFILTER NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_DATACHECKSITEM' AND KSQL_COL_NAME ='FCUSTOMFILTER_TAG') 
 ALTER TABLE T_AP_DATACHECKSITEM ADD (FCUSTOMFILTER_TAG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_CHECKRESULTSUBENTRY') 
 CREATE TABLE T_AP_CHECKRESULTSUBENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FERRORMSG NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
