﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_AP_RPASCHEME', 'T_AP_RPASCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_RPAS_NUMBER') CREATE INDEX IDX_AP_RPAS_NUMBER ON T_AP_RPASCHEME ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_AP_RPASCHEME_L', 'T_AP_RPASCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_RPASL_FID') CREATE INDEX IDX_AP_RPASL_FID ON T_AP_RPASCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_AP_RPASCHEMEORGENTRY', 'T_AP_RPASCHEMEORGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_RPASO_FID') CREATE INDEX IDX_AP_RPASO_FID ON T_AP_RPASCHEMEORGENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_RPASO_ORG') CREATE INDEX IDX_AP_RPASO_ORG ON T_AP_RPASCHEMEORGENTRY ( FORGID );


 EXEC P_ALTERPK 'PK_T_AP_RPASCHERULEENTRY', 'T_AP_RPASCHERULEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_RPASR_FID') CREATE INDEX IDX_AP_RPASR_FID ON T_AP_RPASCHERULEENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_AP_SETTLEIMPORT', 'T_AP_SETTLEIMPORT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_SI_DATEORG') CREATE INDEX IDX_AP_SI_DATEORG ON T_AP_SETTLEIMPORT ( FBIZDATE ,FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_SI_BILLNO') CREATE INDEX IDX_AP_SI_BILLNO ON T_AP_SETTLEIMPORT ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_SI_MAINBILLID') CREATE INDEX IDX_AP_SI_MAINBILLID ON T_AP_SETTLEIMPORT ( FMAINBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_SI_BILLNUM') CREATE INDEX IDX_AP_SI_BILLNUM ON T_AP_SETTLEIMPORT ( FMAINBILLNUM );


 EXEC P_ALTERPK 'PK_T_AP_SETTLEIMPORTENTRY', 'T_AP_SETTLEIMPORTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_SIE_PID') CREATE INDEX IDX_AP_SIE_PID ON T_AP_SETTLEIMPORTENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_SIE_BILLNUM') CREATE INDEX IDX_AP_SIE_BILLNUM ON T_AP_SETTLEIMPORTENTRY ( FBILLNUM );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_SIE_BILLID') CREATE INDEX IDX_AP_SIE_BILLID ON T_AP_SETTLEIMPORTENTRY ( FBILLID );


 EXEC P_ALTERPK 'PK_T_AP_RPASETTLELOG', 'T_AP_RPASETTLELOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_RPA_FNUMBER') CREATE INDEX IDX_AP_RPA_FNUMBER ON T_AP_RPASETTLELOG ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_RPA_DATEORG') CREATE INDEX IDX_AP_RPA_DATEORG ON T_AP_RPASETTLELOG ( FSTARTTIME ,FORGID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_constraint.sql **/
