﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_INVOICEENTRY' AND KSQL_COL_NAME ='FTAXRATEID') 
 ALTER TABLE T_AP_INVOICEENTRY ADD (FTAXRATEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_JOURNAL' AND KSQL_COL_NAME ='FSOURCEENTRYID') 
 ALTER TABLE T_AP_JOURNAL ADD (FSOURCEENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_JOURNAL' AND KSQL_COL_NAME ='FBIZTYPE') 
 ALTER TABLE T_AP_JOURNAL ADD (FBIZTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FINAPBILLDETAILENTRY' AND KSQL_COL_NAME ='FTAXRATEID') 
 ALTER TABLE T_AP_FINAPBILLDETAILENTRY ADD (FTAXRATEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FINAPBILLDETAILENTRY' AND KSQL_COL_NAME ='FPREMIUMRATE') 
 ALTER TABLE T_AP_FINAPBILLDETAILENTRY ADD (FPREMIUMRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FINAPBILLDETAILENTRY' AND KSQL_COL_NAME ='FPREPAYRATE') 
 ALTER TABLE T_AP_FINAPBILLDETAILENTRY ADD (FPREPAYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_VERIFYRECORDENTRY' AND KSQL_COL_NAME ='FSWAPPL') 
 ALTER TABLE T_AP_VERIFYRECORDENTRY ADD (FSWAPPL DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_VERIFYRECORD' AND KSQL_COL_NAME ='FSWAPPL') 
 ALTER TABLE T_AP_VERIFYRECORD ADD (FSWAPPL DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_FINAPBILLDETAILENTRY_E') 
 CREATE TABLE T_AP_FINAPBILLDETAILENTRY_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FVATTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYTAX DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL_E' AND KSQL_COL_NAME ='FISINTERTAX') 
 ALTER TABLE T_AP_BUSBILL_E ADD (FISINTERTAX CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME ='FTAXRATEID') 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FTAXRATEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME ='FPAYTAX') 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FPAYTAX DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME ='FVATTAX') 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FVATTAX DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FINAPBILL_E' AND KSQL_COL_NAME ='FPREMIUMRATE') 
 ALTER TABLE T_AP_FINAPBILL_E ADD (FPREMIUMRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FINAPBILL_E' AND KSQL_COL_NAME ='FPREMDUEDATE') 
 ALTER TABLE T_AP_FINAPBILL_E ADD (FPREMDUEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FINAPBILL_E' AND KSQL_COL_NAME ='FISINTERTAX') 
 ALTER TABLE T_AP_FINAPBILL_E ADD (FISINTERTAX CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_BUSBILLTAXENTRY') 
 CREATE TABLE T_AP_BUSBILLTAXENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FTAXCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FISINPRICETAX CHAR(1) DEFAULT ' ' NOT NULL,
FISINPUTTAX CHAR(1) DEFAULT ' ' NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXTIME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINCLUDETAIL CHAR(1) DEFAULT ' ' NOT NULL,
FDISCOUNTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINCLUDEDISCOUNT CHAR(1) DEFAULT ' ' NOT NULL,
FINCLUDEVAT CHAR(1) DEFAULT ' ' NOT NULL,
FTAXBASE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCANDEDUCTIBLE CHAR(1) DEFAULT ' ' NOT NULL,
FDEDUCTIONRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEDUCTIBLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNONDEDUCTIBLE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_FINAPBILLTAXENTRY') 
 CREATE TABLE T_AP_FINAPBILLTAXENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FTAXCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FISINPRICETAX CHAR(1) DEFAULT ' ' NOT NULL,
FISINPUTTAX CHAR(1) DEFAULT ' ' NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXTIME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINCLUDETAIL CHAR(1) DEFAULT ' ' NOT NULL,
FDISCOUNTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINCLUDEDISCOUNT CHAR(1) DEFAULT ' ' NOT NULL,
FINCLUDEVAT CHAR(1) DEFAULT ' ' NOT NULL,
FTAXBASE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCANDEDUCTIBLE CHAR(1) DEFAULT ' ' NOT NULL,
FDEDUCTIONRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEDUCTIBLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNONDEDUCTIBLE DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
