﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_OPLOG') 
 CREATE TABLE T_AP_OPLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FBIZOBJID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FOPTIME DATETIME,
FCLIENTIP VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOPDESC_TAG NCLOB,
FBILLINFO_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL_E' AND KSQL_COL_NAME ='FBILLSRCTYPE') 
 ALTER TABLE T_AP_BUSBILL_E ADD (FBILLSRCTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_SETTLERECORD' AND KSQL_COL_NAME ='FPAYPROPERTYTYPE') 
 ALTER TABLE T_AP_SETTLERECORD ADD (FPAYPROPERTYTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_SETTLERECORD' AND KSQL_COL_NAME ='FPAYPROPERTYFIELD') 
 ALTER TABLE T_AP_SETTLERECORD ADD (FPAYPROPERTYFIELD BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_SETTLERECORDENTRY' AND KSQL_COL_NAME ='FPAYPROPERTYTYPE') 
 ALTER TABLE T_AP_SETTLERECORDENTRY ADD (FPAYPROPERTYTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_SETTLERECORDENTRY' AND KSQL_COL_NAME ='FPAYPROPERTYFIELD') 
 ALTER TABLE T_AP_SETTLERECORDENTRY ADD (FPAYPROPERTYFIELD BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_INVOICEENTRY' AND KSQL_COL_NAME ='FUNRELATEDAMT') 
 ALTER TABLE T_AP_INVOICEENTRY ADD (FUNRELATEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_INVOICEENTRY' AND KSQL_COL_NAME ='FRELATEDAMT') 
 ALTER TABLE T_AP_INVOICEENTRY ADD (FRELATEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FINAPBILLDETAILENTRY_E' AND KSQL_COL_NAME ='FUNINVOICEDAMT') 
 ALTER TABLE T_AP_FINAPBILLDETAILENTRY_E ADD (FUNINVOICEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FINAPBILLDETAILENTRY_E' AND KSQL_COL_NAME ='FINVOICEDAMT') 
 ALTER TABLE T_AP_FINAPBILLDETAILENTRY_E ADD (FINVOICEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_INVOICE' AND KSQL_COL_NAME ='FUNRELATEDAMT') 
 ALTER TABLE T_AP_INVOICE ADD (FUNRELATEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FINAPBILL_E' AND KSQL_COL_NAME ='FUNINVOICEDAMT') 
 ALTER TABLE T_AP_FINAPBILL_E ADD (FUNINVOICEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
