﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
 EXEC p_AlterColumn 'T_AP_OPLOG', 'FBIZOBJID', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FINAPBILLINVENTRY' AND KSQL_COL_NAME ='FUSEDAMT') 
 ALTER TABLE T_AP_FINAPBILLINVENTRY ADD (FUSEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_INVOICEFINENTRY' AND KSQL_COL_NAME ='FUSEDAMT') 
 ALTER TABLE T_AP_INVOICEFINENTRY ADD (FUSEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_JOURNAL' AND KSQL_COL_NAME ='FBILLNO') 
 ALTER TABLE T_AP_JOURNAL ADD (FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_BUSBILLALLOCENTRY') 
 CREATE TABLE T_AP_BUSBILLALLOCENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FALLOCATIONPER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FALLOCATIONAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_FINAPBILLALLOCENTRY') 
 CREATE TABLE T_AP_FINAPBILLALLOCENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FALLOCATIONPER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FALLOCATIONAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL_E' AND KSQL_COL_NAME ='FISEXPENSEALLOC') 
 ALTER TABLE T_AP_BUSBILL_E ADD (FISEXPENSEALLOC CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL_E' AND KSQL_COL_NAME ='FISWHOLEALLOC') 
 ALTER TABLE T_AP_BUSBILL_E ADD (FISWHOLEALLOC CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FINAPBILL_E' AND KSQL_COL_NAME ='FISEXPENSEALLOC') 
 ALTER TABLE T_AP_FINAPBILL_E ADD (FISEXPENSEALLOC CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FINAPBILL_E' AND KSQL_COL_NAME ='FISWHOLEALLOC') 
 ALTER TABLE T_AP_FINAPBILL_E ADD (FISWHOLEALLOC CHAR(1) DEFAULT '1' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
