﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_FREEZELOG') 
 CREATE TABLE T_AP_FREEZELOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSOP VARCHAR(30) DEFAULT ' ' NOT NULL,
FOPRANGE VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FASSTACT BIGINT DEFAULT 0 NOT NULL,
FASSTACTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FLINENO VARCHAR(50) DEFAULT ' ',
FFREEZEREASON NVARCHAR(255) DEFAULT ' ',
FOPTIME DATETIME,
FOPTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL,
FBILLID VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLENTRYID VARCHAR(30) DEFAULT ' ',
FMODIFIERID BIGINT DEFAULT 0,
FAUDITORID BIGINT DEFAULT 0,
FCREATETIME DATETIME,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME
);
 
 EXEC p_AlterColumn 'T_AP_FREEZELOG', 'FBUSINESSOP', 'VARCHAR(30)', 'NOT NULL', '0011', ''' ''';

 EXEC p_AlterColumn 'T_AP_FREEZELOG', 'FOPRANGE', 'VARCHAR(30)', 'NOT NULL', '0011', ''' ''';

 EXEC p_AlterColumn 'T_AP_FREEZELOG', 'FBILLTYPE', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_AP_FREEZELOG', 'FASSTACT', 'BIGINT', 'NOT NULL', '0001', '0';

 EXEC p_AlterColumn 'T_AP_FREEZELOG', 'FASSTACTTYPE', 'VARCHAR(30)', 'NOT NULL', '0011', ''' ''';

 EXEC p_AlterColumn 'T_AP_FREEZELOG', 'FLINENO', 'VARCHAR(50)', 'NULL', '0010', '';

 EXEC p_AlterColumn 'T_AP_FREEZELOG', 'FFREEZEREASON', 'NVARCHAR(255)', 'NULL', '0010', '';

 EXEC p_AlterColumn 'T_AP_FREEZELOG', 'FOPTIME', 'DATETIME', 'NULL', '0011', 'NULL';

 EXEC p_AlterColumn 'T_AP_FREEZELOG', 'FOPTYPE', 'VARCHAR(30)', 'NOT NULL', '0011', ''' ''';

 EXEC p_AlterColumn 'T_AP_FREEZELOG', 'FORG', 'BIGINT', 'NOT NULL', '0011', '0';

 EXEC p_AlterColumn 'T_AP_FREEZELOG', 'FBILLID', 'VARCHAR(30)', 'NOT NULL', '0111', ''' ''';

 EXEC p_AlterColumn 'T_AP_FREEZELOG', 'FBILLENTRYID', 'VARCHAR(30)', 'NULL', '0101', ''' ''';

 
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FREEZELOG' AND KSQL_COL_NAME ='FBILLSTATUS') 
 ALTER TABLE T_AP_FREEZELOG ADD (FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FREEZELOG' AND KSQL_COL_NAME ='FMODIFIERID') 
 ALTER TABLE T_AP_FREEZELOG ADD (FMODIFIERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FREEZELOG' AND KSQL_COL_NAME ='FAUDITORID') 
 ALTER TABLE T_AP_FREEZELOG ADD (FAUDITORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FREEZELOG' AND KSQL_COL_NAME ='FCREATETIME') 
 ALTER TABLE T_AP_FREEZELOG ADD (FCREATETIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FREEZELOG' AND KSQL_COL_NAME ='FAUDITDATE') 
 ALTER TABLE T_AP_FREEZELOG ADD (FAUDITDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FREEZELOG' AND KSQL_COL_NAME ='FMODIFYTIME') 
 ALTER TABLE T_AP_FREEZELOG ADD (FMODIFYTIME DATETIME );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
