﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_constraint.sql **/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_SR_ASSTACT') CREATE INDEX IDX_AP_SR_ASSTACT ON T_AP_SETTLERECORD ( FMAINASSTACTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_SRE_ASSTACT') CREATE INDEX IDX_AP_SRE_ASSTACT ON T_AP_SETTLERECORDENTRY ( FASSTACTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_BUSBILLENTRY_SRCBILLID') CREATE INDEX IDX_AP_BUSBILLENTRY_SRCBILLID ON T_AP_BUSBILLENTRY ( FSRCBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_FINE_SOURCEBILLID') CREATE INDEX IDX_AP_FINE_SOURCEBILLID ON T_AP_FINAPBILLDETAILENTRY ( FSOURCEBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_JOU_ASSTACT') CREATE INDEX IDX_AP_JOU_ASSTACT ON T_AP_JOURNAL ( FASSTACTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_FIN_ASSTACT') CREATE INDEX IDX_AP_FIN_ASSTACT ON T_AP_FINAPBILL ( FASSTACTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_FIN_SOURCEBILLID') CREATE INDEX IDX_AP_FIN_SOURCEBILLID ON T_AP_FINAPBILL ( FSOURCEBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_BUSBILL_ASSTACT') CREATE INDEX IDX_AP_BUSBILL_ASSTACT ON T_AP_BUSBILL ( FASSTACTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_BUSBILL_SOURCEBILLID') CREATE INDEX IDX_AP_BUSBILL_SOURCEBILLID ON T_AP_BUSBILL ( FSOURCEBILLID );

 EXEC P_ALTERPK 'PK_T_AP_TOLERANCE_ASSIGN', 'T_AP_TOLERANCE_ASSIGN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_TOL_ASSIGNTYPE') CREATE INDEX IDX_AP_TOL_ASSIGNTYPE ON T_AP_TOLERANCE_ASSIGN ( FASSIGNTYPE );


 EXEC P_ALTERPK 'PK_T_AP_TOLERANCE_SCHEME', 'T_AP_TOLERANCE_SCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_TOL_SCHEME_STATUS') CREATE INDEX IDX_AP_TOL_SCHEME_STATUS ON T_AP_TOLERANCE_SCHEME ( FSTATUS );


 EXEC P_ALTERPK 'PK_T_AP_TOLERANCE_LOG', 'T_AP_TOLERANCE_LOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_TOL_LOG_OPERATIME') CREATE INDEX IDX_AP_TOL_LOG_OPERATIME ON T_AP_TOLERANCE_LOG ( FOPERATIONTIME );


 EXEC P_ALTERPK 'PK_T_AP_TOLERANCE_STRATEGY', 'T_AP_TOLERANCE_STRATEGY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_TOL_STRATEGY_STATUS') CREATE INDEX IDX_AP_TOL_STRATEGY_STATUS ON T_AP_TOLERANCE_STRATEGY ( FSTATUS );


 EXEC P_ALTERPK 'PK_T_AP_TOLERANCE_STRATEGY_D', 'T_AP_TOLERANCE_STRATEGY_D', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_TOL_STRATEGY_D_FID') CREATE INDEX IDX_AP_TOL_STRATEGY_D_FID ON T_AP_TOLERANCE_STRATEGY_D ( FID );


 EXEC P_ALTERPK 'PK_T_AP_TOLERANCE_STRATEGY_L', 'T_AP_TOLERANCE_STRATEGY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_TOL_STRATEGY_L_FID') CREATE INDEX IDX_AP_TOL_STRATEGY_L_FID ON T_AP_TOLERANCE_STRATEGY_L ( FID );


 EXEC P_ALTERPK 'PK_T_AP_TOLERANCE_SCHEME_D', 'T_AP_TOLERANCE_SCHEME_D', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_TOL_SCHEME_FID') CREATE INDEX IDX_AP_TOL_SCHEME_FID ON T_AP_TOLERANCE_SCHEME_D ( FID );


 EXEC P_ALTERPK 'PK_T_AP_TOLERANCE_SCHEME_L', 'T_AP_TOLERANCE_SCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_TOL_SCHEME_L_FID') CREATE INDEX IDX_AP_TOL_SCHEME_L_FID ON T_AP_TOLERANCE_SCHEME_L ( FID );


 EXEC P_ALTERPK 'PK_T_AP_SERVICE_REGISTER', 'T_AP_SERVICE_REGISTER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_SER_REG_BILLTYPE') CREATE INDEX IDX_AP_SER_REG_BILLTYPE ON T_AP_SERVICE_REGISTER ( FBILLTYPE );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_constraint.sql **/
