﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL_E' AND KSQL_COL_NAME ='FWRITEOFFBUSINESS') 
 ALTER TABLE T_AP_BUSBILL_E ADD (FWRITEOFFBUSINESS CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FINAPBILL' AND KSQL_COL_NAME ='FBOOKDATE') 
 ALTER TABLE T_AP_FINAPBILL ADD (FBOOKDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL' AND KSQL_COL_NAME ='FBOOKDATE') 
 ALTER TABLE T_AP_BUSBILL ADD (FBOOKDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_TOLERANCE_ASSIGN') 
 CREATE TABLE T_AP_TOLERANCE_ASSIGN (
FID BIGINT DEFAULT 0 NOT NULL,
FASSIGNDATE DATETIME,
FASSIGNTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPEPK VARCHAR(50) DEFAULT ' ' NOT NULL,
FSCHEMEPK VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_TOLERANCE_SCHEME') 
 CREATE TABLE T_AP_TOLERANCE_SCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCONTROLPOINT VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTROLMODE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_TOLERANCE_LOG') 
 CREATE TABLE T_AP_TOLERANCE_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONTIME DATETIME,
FORG BIGINT DEFAULT 0 NOT NULL,
FSOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTRATEGYNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTROLPARTY VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTROLOBJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPPOSITEPARTY VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPPOSITEOBJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
FTOLERANCELIMIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FUPPERLIMIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FLOWERLIMIT VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_TOLERANCE_STRATEGY') 
 CREATE TABLE T_AP_TOLERANCE_STRATEGY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCONTROLPARTY VARCHAR(36) DEFAULT ' ' NOT NULL,
FISDEFAULT CHAR(1) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_TOLERANCE_STRATEGY_D') 
 CREATE TABLE T_AP_TOLERANCE_STRATEGY_D (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTROLPARTY VARCHAR(36) DEFAULT ' ' NOT NULL,
FCONTROLOBJECT VARCHAR(2000) DEFAULT ' ' NOT NULL,
FCONTROLOBJECTDESC VARCHAR(2000) DEFAULT ' ' NOT NULL,
FOPPOSITEPARTY VARCHAR(36) DEFAULT ' ' NOT NULL,
FOPPOSITEOBJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPPOSITEOBJECTDESC VARCHAR(2000) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_TOLERANCE_STRATEGY_L') 
 CREATE TABLE T_AP_TOLERANCE_STRATEGY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_TOLERANCE_SCHEME_D') 
 CREATE TABLE T_AP_TOLERANCE_SCHEME_D (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTOLERANCESTRATEGY BIGINT DEFAULT 0 NOT NULL,
FTOLERANCELIMIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FUPPERLIMIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOWERLIMIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONDITION VARCHAR(2000),
FCONDITIONDESC VARCHAR(2000),
FMESSAGE VARCHAR(2000),
FREMARK VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_TOLERANCE_SCHEME_L') 
 CREATE TABLE T_AP_TOLERANCE_SCHEME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_SERVICE_REGISTER')
 CREATE TABLE T_AP_SERVICE_REGISTER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FSERVICETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSERVICETYPENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
