<?xml version="1.0" encoding="UTF-8"?>

<DeployMetadata>
  <Id>621533653402432512</Id>
  <DesignMetas>
    <DesignConvertRuleMeta>
      <DevType>0</DevType>
      <ModifyDate>1591408142000</ModifyDate>
      <DataXml>
        <ConvertRuleMetadata>
          <DevType>0</DevType>
          <Isv>kingdee</Isv>
          <ParentId/>
          <MasterId/>
          <BizappId>+HKZHSKFXOX</BizappId>
          <RuleElement>
            <ConvertRuleElement>
              <BillTypeMapPolicy>
                <BillTypeMapPolicy>
                  <Items>
                    <BillTypeMapItem>
                      <SourceBillTypeId>453393238762473472</SourceBillTypeId>
                      <SourceType>Spec</SourceType>
                      <Id>00IV00GKZ/2L</Id>
                      <Seq>1</Seq>
                      <TargetBillTypeId>535198337297582080</TargetBillTypeId>
                      <PushType>Spec</PushType>
                    </BillTypeMapItem>
                  </Items>
                </BillTypeMapPolicy>
              </BillTypeMapPolicy>
              <FieldMapPolicy>
                <FieldMapPolicy>
                  <FieldMaps>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>org</TargetFieldKey>
                      <SourceFieldKey>entrysettleorg</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>purorg</TargetFieldKey>
                      <SourceFieldKey>bizorg</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payorg</TargetFieldKey>
                      <SourceFieldKey>entrysettleorg</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>currency</TargetFieldKey>
                      <SourceFieldKey>settlecurrency</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>bd_supplier</Expression>
                          <Description/>
                          <ExprTran>供应商</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>asstacttype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>asstact</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>supplier</Expression>
                          <Description/>
                          <ExprTran>供应商</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>purdept</TargetFieldKey>
                      <SourceFieldKey>bizoperatorgroup</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>purchaser</TargetFieldKey>
                      <SourceFieldKey>bizoperator</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>biztypef7</TargetFieldKey>
                      <SourceFieldKey>biztype</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>asstactname</TargetFieldKey>
                      <SourceFieldKey>supplier.name</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>paycond</TargetFieldKey>
                      <SourceFieldKey>paycondition</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>settlementtype</TargetFieldKey>
                      <SourceFieldKey>settletype</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>sourcebillid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>id</Expression>
                          <Description/>
                          <ExprTran>采购退库单.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>im_purreturnbill</Expression>
                          <Description/>
                          <ExprTran>采购退货单</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>sourcebilltype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>503318643782752256</Expression>
                          <Description/>
                          <ExprTran>退货折让</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>payproperty</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>isincludetax</TargetFieldKey>
                      <SourceFieldKey>istax</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>sourcebillno</TargetFieldKey>
                      <SourceFieldKey>billno</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>taxrate</TargetFieldKey>
                      <SourceFieldKey>taxrate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>corebillno</TargetFieldKey>
                      <SourceFieldKey>billno</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>corebillentryseq</TargetFieldKey>
                      <SourceFieldKey>billentry.seq</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>quantity</TargetFieldKey>
                      <SourceFieldKey>remainjoinpriceqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>material</TargetFieldKey>
                      <SourceFieldKey>material</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>price</TargetFieldKey>
                      <SourceFieldKey>price</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>ispresent</TargetFieldKey>
                      <SourceFieldKey>ispresent</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>ByCondition</ConvertType>
                      <TargetFieldKey>discountmode</TargetFieldKey>
                      <SumType>First</SumType>
                      <ValByConditions>
                        <CRValByConditions>
                          <Items>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression/>
                                  <FilterCondition>
                                    <FilterCondition>
                                      <FilterRow>
                                        <SimpleFilterRow>
                                          <CompareType>105</CompareType>
                                          <FieldName>discounttype</FieldName>
                                          <RightBracket/>
                                          <Id>/YDP52DZV0YN</Id>
                                          <LeftBracket/>
                                          <Logic>0</Logic>
                                          <Value>
                                            <FilterValue>
                                              <Id>/YDP52DZUNFR</Id>
                                              <Value>A</Value>
                                            </FilterValue>
                                          </Value>
                                        </SimpleFilterRow>
                                      </FilterRow>
                                    </FilterCondition>
                                  </FilterCondition>
                                  <Description/>
                                  <ExprTran>单据体.折扣方式 等于 折扣率</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>'PERCENT'</Expression>
                                  <Description/>
                                  <ExprTran>'PERCENT'</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>/YDPKIG+H6W2</Id>
                              <Seq>1</Seq>
                            </CRValByCondition>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression/>
                                  <FilterCondition>
                                    <FilterCondition>
                                      <FilterRow>
                                        <SimpleFilterRow>
                                          <CompareType>105</CompareType>
                                          <FieldName>discounttype</FieldName>
                                          <RightBracket/>
                                          <Id>/YDPA5J/VR2W</Id>
                                          <LeftBracket/>
                                          <Logic>0</Logic>
                                          <Value>
                                            <FilterValue>
                                              <Id>/YDPA5J/VBM+</Id>
                                              <Value>B</Value>
                                            </FilterValue>
                                          </Value>
                                        </SimpleFilterRow>
                                      </FilterRow>
                                    </FilterCondition>
                                  </FilterCondition>
                                  <Description/>
                                  <ExprTran>单据体.折扣方式 等于 单位折扣</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>'PERUNIT'</Expression>
                                  <Description/>
                                  <ExprTran>'PERUNIT'</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>/YDPKIG+GTD6</Id>
                              <Seq>2</Seq>
                            </CRValByCondition>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression/>
                                  <FilterCondition>
                                    <FilterCondition>
                                      <FilterRow>
                                        <SimpleFilterRow>
                                          <CompareType>105</CompareType>
                                          <FieldName>discounttype</FieldName>
                                          <RightBracket/>
                                          <Id>/YDPHU+O9IFD</Id>
                                          <LeftBracket/>
                                          <Logic>0</Logic>
                                          <Value>
                                            <FilterValue>
                                              <Id>/YDPHU+O93ZH</Id>
                                              <Value>NULL</Value>
                                            </FilterValue>
                                          </Value>
                                        </SimpleFilterRow>
                                      </FilterRow>
                                    </FilterCondition>
                                  </FilterCondition>
                                  <Description/>
                                  <ExprTran>单据体.折扣方式 等于 空</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>'NULL'</Expression>
                                  <Description/>
                                  <ExprTran>'NULL'</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>/YDPKIG23M1L</Id>
                              <Seq>3</Seq>
                            </CRValByCondition>
                          </Items>
                        </CRValByConditions>
                      </ValByConditions>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>discountrate</TargetFieldKey>
                      <SourceFieldKey>discountrate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>actprice</TargetFieldKey>
                      <SourceFieldKey>actualprice</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>actpricetax</TargetFieldKey>
                      <SourceFieldKey>actualtaxprice</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>spectype</TargetFieldKey>
                      <SourceFieldKey>material.masterid.modelnum</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>unverifyquantity</TargetFieldKey>
                      <SourceFieldKey>remainjoinpriceqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>e_sourcebillid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>id</Expression>
                          <Description/>
                          <ExprTran>采购退库单.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>e_sourcebillentryid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>billentry.id</Expression>
                          <Description/>
                          <ExprTran>单据体.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>pricetax</TargetFieldKey>
                      <SourceFieldKey>priceandtax</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_baseunit</TargetFieldKey>
                      <SourceFieldKey>baseunit</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>corebillentryid</TargetFieldKey>
                      <SourceFieldKey>mainbillentryid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>corebillid</TargetFieldKey>
                      <SourceFieldKey>mainbillid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>taxrateid</TargetFieldKey>
                      <SourceFieldKey>taxrateid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_assistantattr</TargetFieldKey>
                      <SourceFieldKey>auxpty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                  </FieldMaps>
                </FieldMapPolicy>
              </FieldMapPolicy>
              <PlugInPolicy>
                <PlugInPolicy>
                  <Plugins>
                    <CRPlugin>
                      <ClassName>kd.bos.ext.fi.plugin.ArApConvert.BillToFinApConvertPlugin</ClassName>
                      <Seq>1</Seq>
                    </CRPlugin>
                  </Plugins>
                </PlugInPolicy>
              </PlugInPolicy>
              <FilterPolicy>
                <FilterPolicy>
                  <Condition>
                    <CRCondition>
                      <FilterCondition>
                        <FilterCondition>
                          <FilterRow>
                            <SimpleFilterRow>
                              <CompareType>21</CompareType>
                              <FieldName>remainjoinpriceqty</FieldName>
                              <RightBracket/>
                              <Id>018AIGKUPSQ4</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>018AIGKUPS0W</Id>
                                  <Value>0</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                          </FilterRow>
                        </FilterCondition>
                      </FilterCondition>
                      <Description>请选择剩余应付数量大于0的采购退库单。</Description>
                      <ExprTran/>
                    </CRCondition>
                  </Condition>
                </FilterPolicy>
              </FilterPolicy>
              <LinkEntityPolicy>
                <LinkEntityPolicy>
                  <SourceSubEntryKey/>
                  <TargetEntryKey>detailentry</TargetEntryKey>
                  <TargetSubEntryKey/>
                  <SourceEntryKey>billentry</SourceEntryKey>
                  <LinkType>Link</LinkType>
                </LinkEntityPolicy>
              </LinkEntityPolicy>
              <efRule>false</efRule>
              <TargetEntityNumber>ap_finapbill</TargetEntityNumber>
              <GroupByPolicy>
                <GroupByPolicy>
                  <GroupByField>receivesupplier,bizorg,settlecurrency,entrysettleorg</GroupByField>
                  <GroupMode3>OneToOne</GroupMode3>
                  <GroupMode2>OneToOne</GroupMode2>
                  <GroupByField2/>
                  <GroupByField3/>
                  <GroupMode>GroupByField</GroupMode>
                </GroupByPolicy>
              </GroupByPolicy>
              <Name>采购退库单_财务应付单_转换规则</Name>
              <SourceEntityNumber>im_purreturnbill</SourceEntityNumber>
              <Id>621533653402432512</Id>
              <RunCondition>
                <CRCondition>
                  <Expression/>
                  <FilterCondition>
                    <FilterCondition>
                      <FilterRow>
                        <SimpleFilterRow>
                          <CompareType>105</CompareType>
                          <FieldName>billstatus</FieldName>
                          <RightBracket/>
                          <Id>/YBXK7TV6DJT</Id>
                          <LeftBracket/>
                          <Logic>0</Logic>
                          <Value>
                            <FilterValue>
                              <Id>/YBXK7TV6+DN</Id>
                              <Value>C</Value>
                            </FilterValue>
                          </Value>
                        </SimpleFilterRow>
                      </FilterRow>
                    </FilterCondition>
                  </FilterCondition>
                  <Description/>
                  <ExprTran>单据状态 等于 已审核</ExprTran>
                </CRCondition>
              </RunCondition>
            </ConvertRuleElement>
          </RuleElement>
          <Id>621533653402432512</Id>
          <InheritPath/>
          <CreateDate>1587520081000</CreateDate>
        </ConvertRuleMetadata>
      </DataXml>
      <ModifierId>37493777</ModifierId>
      <ModelType>ConvertRuleModel</ModelType>
      <Isv>kingdee</Isv>
      <Version>1591408143027</Version>
      <ParentId></ParentId>
      <MasterId></MasterId>
      <BizappId>+HKZHSKFXOX</BizappId>
      <TargetEntityNumber>ap_finapbill</TargetEntityNumber>
      <SourceEntityNumber>im_purreturnbill</SourceEntityNumber>
      <Id>621533653402432512</Id>
      <InheritPath></InheritPath>
      <CreateDate>1587520081000</CreateDate>
    </DesignConvertRuleMeta>
  </DesignMetas>
  <BOSVersion>1.0</BOSVersion>
</DeployMetadata>
