-- 预置系统调度执行程序
DELETE FROM T_SCH_TASKDEFINE WHERE FID = '1V/HTNS1GICY';
INSERT INTO T_SCH_TASKDEFINE(FID,FCLASSNAME,FAPPID,FNUMBER) VALUES ('1V/HTNS1GICY','kd.fi.ap.business.task.UpdateInvCloudTask','ap','UpdateInvCloudTask');
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '1V/HTNS1GJ16';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1V/HTNS1GICY','1V/HTNS1GJ16','zh_CN','回写发票云调度');
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '1V/HTNS1GJ17';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1V/HTNS1GICY','1V/HTNS1GJ17','zh_TW','回寫發票雲調度');

-- 预置系统调度执行作业
DELETE FROM T_SCH_JOB WHERE FID = '1V/IOABE1G/E';
INSERT INTO T_SCH_JOB(FID,FTASKCLASSNAME,FTASKDEFINEID,FRUNBYUSERID,FJOBTYPE,FTIMEOUT,FRUNBYLANG,FSTATUS,FPARAMS,FRUNBYORGID,FNUMBER,FCONCURRENT) VALUES ('1V/IOABE1G/E','kd.fi.ap.business.task.UpdateInvCloudTask','1V/HTNS1GICY',1,'BIZ',0,' ','1','{}',100000,'ap_UpdateInvCloud_SKDJ_S','0');
DELETE FROM T_SCH_JOB_L WHERE FPKID = '1V/IOABE1FB5';
INSERT INTO T_SCH_JOB_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('1V/IOABE1G/E','1V/IOABE1FB5','zh_CN','应付回写发票云作业');
DELETE FROM T_SCH_JOB_L WHERE FPKID = '1V/IOABE1FB6';
INSERT INTO T_SCH_JOB_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('1V/IOABE1G/E','1V/IOABE1FB6','zh_TW','應付回寫發票雲作業');

-- 预置系统调度执行计划
DELETE FROM T_SCH_SCHEDULE WHERE FID = '1V/JRDJ=BP06';
INSERT INTO T_SCH_SCHEDULE(FTWENTY,FFIVE,FELEVEN,FNINE,FNO,FSUN,FTWO,FEIGHT,FNOV,FPLAN,FWED,FHOST,FTWENTYTWO,FFOUR,FMAR,FSEP,FENDTIME,FSIX,FMAY,FREPEATMODE,FTHIRTYONE,FBYDAYORWEEK,FTWENTYSEVEN,FTWENTYSIX,FTHIRTEEN,FAUG,FDESC,FFIFTEEN,FTWENTYONE,FBYWEEK,FTUES,FSEVENTEEN,FSEVEN,FTWENTYFOUR,FMON,FTHIRTY,FTHREE,FFOURTEEN,FJAN,FNINETEEN,FTHUR,FTEN,FFRI,FJOBID,FSTARTTIME,FOCT,FAPR,FSIXTEEN,FID,FSAT,FONE,FTWENTYEIGHT,FTWENTYTHREE,FTWELVE,FNOWEEK,FSTATUS,FNUMBER,FTWENTYFIVE,FEIGHTEEN,FCYCLENUM,FTWENTYNINE,FJUL,FDEC,FJUN,FFEB) VALUES ('0','0','0','0',' ','0','0','0','0','0 8 23 * * ?','0','172.19.146.20','0','0','0','0',{ts'2999-12-31  00:00:00'},'0','0','d','0','d','0','0','0','0','事件每天23时重复。','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','1V/IOABE1G/E',{ts'2018-08-08  00:00:00'},'0','0','0','1V/JRDJ=BP06','0','0','0','0','0',' ','0','ap_UpdateInvCloud_SKDP_S','0','0',1,'0','0','0','0','0');
DELETE FROM T_SCH_SCHEDULE_L WHERE FPKID = '1V/JRDJ=BPPF';
INSERT INTO T_SCH_SCHEDULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('1V/JRDJ=BP06','1V/JRDJ=BPPF','zh_CN','应付回写发票云');
DELETE FROM T_SCH_SCHEDULE_L WHERE FPKID = '1V/JRDJ=BPPG';
INSERT INTO T_SCH_SCHEDULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('1V/JRDJ=BP06','1V/JRDJ=BPPG','zh_TW','應付回寫發票雲');
DELETE FROM T_SCH_SCHEDULE_ENTRY WHERE FENTRYID = '1V/JRDJ=BP07';
INSERT INTO T_SCH_SCHEDULE_ENTRY(FID,FJOBNUMBER,FENTRYID,FSEQ) VALUES ('1V/JRDJ=BP06','1V/IOABE1G/E','1V/JRDJ=BP07',1);


-- 智能方案的预置执行计划
DELETE FROM T_SCH_SCHEDULE WHERE FID = '1V3SWMO0XPNP';
INSERT INTO T_SCH_SCHEDULE(FTWENTY,FFIVE,FELEVEN,FNINE,FNO,FSUN,FTWO,FEIGHT,FNOV,FPLAN,FWED,FHOST,FTWENTYTWO,FFOUR,FMAR,FSEP,FENDTIME,FSIX,FMAY,FREPEATMODE,FTHIRTYONE,FBYDAYORWEEK,FTWENTYSEVEN,FTWENTYSIX,FTHIRTEEN,FAUG,FDESC,FFIFTEEN,FTWENTYONE,FBYWEEK,FTUES,FSEVENTEEN,FSEVEN,FTWENTYFOUR,FMON,FTHIRTY,FTHREE,FFOURTEEN,FJAN,FNINETEEN,FTHUR,FTEN,FFRI,FJOBID,FSTARTTIME,FOCT,FAPR,FSIXTEEN,FID,FSAT,FONE,FTWENTYEIGHT,FTWENTYTHREE,FTWELVE,FNOWEEK,FSTATUS,FNUMBER,FTWENTYFIVE,FEIGHTEEN,FCYCLENUM,FTWENTYNINE,FJUL,FDEC,FJUN,FFEB) VALUES ('0','0','0','0',' ','0','0','0','0','0 8 8 * * ?','0','172.19.146.20','0','0','0','0',{ts'2999-12-31  00:00:00'},'0','0','d','0','d','0','0','0','0','事件将每天8时重复','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','1V3SWMM6DEGP',{ts'2018-08-31  00:00:00'},'0','0','0','1V3SWMO0XPNP','0','0','0','0','0',' ','1','iep_autocreate1629876936935_SKDP_S','0','0',1,'0','0','0','0','0');
DELETE FROM T_SCH_SCHEDULE_L WHERE FPKID = '1V3SWMROAXUZ';
INSERT INTO T_SCH_SCHEDULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('1V3SWMO0XPNP','1V3SWMROAXUZ','zh_CN','自动回写全票池');
DELETE FROM T_SCH_SCHEDULE_L WHERE FPKID = '1V3TO=H3X8MK';
INSERT INTO T_SCH_SCHEDULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('1V3SWMO0XPNP','1V3TO=H3X8MK','zh_TW','自動回寫全票池');
DELETE FROM T_SCH_SCHEDULE_ENTRY WHERE FENTRYID = '1V3SWMROAX5P';
INSERT INTO T_SCH_SCHEDULE_ENTRY(FID,FJOBNUMBER,FENTRYID,FSEQ) VALUES ('1V3SWMO0XPNP','1V3SWMM6DEGP','1V3SWMROAX5P',1);
