--预置结算模型一致性检查（收款单）
DELETE FROM t_arap_execcontrol WHERE FID = 1468897525418183680;
INSERT INTO t_arap_execcontrol(FID,FISPREINSERT,FCTRLPOINT,FCTRLMODE,FCTRLEXPLAIN,FMASTERID,FAPPTYPE,FSTATUS,FNUMBER,FNAME,FBIZOBJID,FCREATETIME,FMODIFIERID,FENABLE,FPLUGIN,FMODIFYTIME,FCREATORID,FCTRLTYPE,FTIPS) VALUES (1468897525418183680,'1',',submit,delete,save,','plugin','校验收款单与上游应收单据关联的明细行，是否与结算模型匹配，避免因单据间关联关系与结算模型不一致，而导致反写异常带来的重复收款风险。',1468897525418183680,'ar','C','SZJK-PRE-0026','结算模型一致性检查（收款单）','cas_recbill',{ts'2022-07-20  00:00:00'},13466739,'1','kd.fi.arapcommon.validator.RecBillSettleModelValidator',{ts'2022-07-27  00:00:00'},1,'error',' ');
DELETE FROM t_arap_execcontrol_l WHERE FPKID = '2LEB649O1VE1';
INSERT INTO t_arap_execcontrol_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1468897525418183680,'2LEB649O1VE1','zh_CN','结算模型一致性检查（收款单）');
DELETE FROM t_arap_execcontrol_l WHERE FPKID = '2LEB649O1VE2';
INSERT INTO t_arap_execcontrol_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1468897525418183680,'2LEB649O1VE2','zh_TW','結算模型一致性檢查（收款單）');
--结算模型一致性检查（付款单） 保存增加控制
DELETE FROM t_arap_execcontrol WHERE FID = 1402893231896691712;
INSERT INTO t_arap_execcontrol(FID,FISPREINSERT,FCTRLPOINT,FCTRLMODE,FCTRLEXPLAIN,FMASTERID,FAPPTYPE,FSTATUS,FNUMBER,FNAME,FBIZOBJID,FCREATETIME,FMODIFIERID,FENABLE,FPLUGIN,FMODIFYTIME,FCREATORID,FCTRLTYPE,FTIPS) VALUES (1402893231896691712,'1',',submit,delete,save,','plugin','校验付款单与上游应收应付单据关联的明细行，是否与结算模型匹配，避免因单据间关联关系与结算模型不一致，而导致反写异常带来的重复付款风险。',1402893231896691712,'ap','C','SZJK-PRE-0014','结算模型一致性检查（付款单）','cas_paybill',{ts'2022-04-20  00:00:00'},13466739,'1','kd.fi.arapcommon.validator.PayBillSettleModelValidator',{ts'2022-07-27  00:00:00'},1,'error',' ');
DELETE FROM t_arap_execcontrol_l WHERE FPKID = '2DA3K+4F5YJK';
INSERT INTO t_arap_execcontrol_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1402893231896691712,'2DA3K+4F5YJK','zh_CN','结算模型一致性检查（付款单）');
DELETE FROM t_arap_execcontrol_l WHERE FPKID = '2DA3K+4F5YJL';
INSERT INTO t_arap_execcontrol_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1402893231896691712,'2DA3K+4F5YJL','zh_TW','結算模型一致性檢查（付款單）');
--结算模型一致性检查（付款申请） 保存，审核增加控制
DELETE FROM t_arap_execcontrol WHERE FID = 1405867145241307136;
INSERT INTO t_arap_execcontrol(FID,FISPREINSERT,FCTRLPOINT,FCTRLMODE,FCTRLEXPLAIN,FMASTERID,FAPPTYPE,FSTATUS,FNUMBER,FNAME,FBIZOBJID,FCREATETIME,FMODIFIERID,FENABLE,FPLUGIN,FMODIFYTIME,FCREATORID,FCTRLTYPE,FTIPS) VALUES (1405867145241307136,'1',',submit,delete,audit,save,','plugin','校验付款申请单与上游应收应付单据关联的明细行，是否与结算模型匹配，避免因单据间关联关系与结算模型不一致，而导致反写异常带来的重复付款风险。',1405867145241307136,'ap','C','SZJK-PRE-0016','结算模型一致性检查（付款申请）','ap_payapply',{ts'2022-04-24  00:00:00'},13466739,'1','kd.fi.ap.validator.SettleModelValidator',{ts'2022-07-27  00:00:00'},1,'error',' ');
DELETE FROM t_arap_execcontrol_l WHERE FPKID = '2DOC7UDP83DE';
INSERT INTO t_arap_execcontrol_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1405867145241307136,'2DOC7UDP83DE','zh_CN','结算模型一致性检查（付款申请）');
DELETE FROM t_arap_execcontrol_l WHERE FPKID = '2DOC7UDP83DF';
INSERT INTO t_arap_execcontrol_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1405867145241307136,'2DOC7UDP83DF','zh_TW','結算模型一致性檢查（付款申請）');

-- 付款申请单下推前金额类字段合法性校验
DELETE FROM t_arap_execcontrol WHERE FID = 1468704905244995584;
INSERT INTO t_arap_execcontrol(FID,FISPREINSERT,FCTRLPOINT,FCTRLMODE,FCTRLEXPLAIN,FMASTERID,FAPPTYPE,FSTATUS,FNUMBER,FNAME,FBIZOBJID,FCREATETIME,FMODIFIERID,FENABLE,FPLUGIN,FMODIFYTIME,FCREATORID,FCTRLTYPE,FTIPS) VALUES (1468704905244995584,'1',' ','plugin','校验付款申请单金额类字段是否存在异常，避免导致错误下推单据的情况。',1468704905244995584,'ap','C','SZJK-PRE-0025','付款申请单下推前金额类字段合法性校验',' ',{ts'2022-07-20  00:00:00'},13466739,'1','kd.fi.arapcommon.excecontrol.PayApplyLockAmtCtrlService',{ts'2022-07-20  00:00:00'},13466739,'error',' ');
DELETE FROM t_arap_execcontrol_l WHERE FPKID = '2LDE6I2HSCQ9';
INSERT INTO t_arap_execcontrol_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1468704905244995584,'2LDE6I2HSCQ9','zh_CN','付款申请单下推前金额类字段合法性校验');
DELETE FROM t_arap_execcontrol_l WHERE FPKID = '2LDE6I2HSCQ=';
INSERT INTO t_arap_execcontrol_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1468704905244995584,'2LDE6I2HSCQ=','zh_TW','付款申請單下推前金額類字段合法性校驗');

--下推付款申请单新增分录行校验
DELETE FROM t_arap_execcontrol WHERE FID = 1470367696506875904;
INSERT INTO t_arap_execcontrol(FID,FISPREINSERT,FCTRLPOINT,FCTRLMODE,FCTRLEXPLAIN,FMASTERID,FAPPTYPE,FSTATUS,FNUMBER,FNAME,FBIZOBJID,FCREATETIME,FMODIFIERID,FENABLE,FPLUGIN,FMODIFYTIME,FCREATORID,FCTRLTYPE,FTIPS) VALUES (1470367696506875904,'1',',submit,','plugin','校验下推生成的单据是否手工新增明细行，主要用于控制通过转换规则生成的单据，不可以手工新增明细，避免反写错误的情况。',1470367696506875904,'ap','C','SZJK-PRE-0027','下推付款申请单新增分录行校验','ap_payapply',{ts'2022-07-22  00:00:00'},13466739,'1','kd.fi.arapcommon.validator.AllEntriesIsDrawValidator',{ts'2022-07-26  00:00:00'},13466739,'error',' ');
DELETE FROM t_arap_execcontrol_l WHERE FPKID = '2LLCW8KXP2V9';
INSERT INTO t_arap_execcontrol_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1470367696506875904,'2LLCW8KXP2V9','zh_CN','下推付款申请单新增分录行校验');
DELETE FROM t_arap_execcontrol_l WHERE FPKID = '2LLCW8KXP2V=';
INSERT INTO t_arap_execcontrol_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1470367696506875904,'2LLCW8KXP2V=','zh_TW','下推付款申請單新增分錄行校驗');
