﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_ADJEXCHBILL')
 CREATE TABLE T_AP_ADJEXCHBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZSYSTEM VARCHAR(30) DEFAULT ' ' NOT NULL,
FSOURCEBILLTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSOURCEBILLID VARCHAR(255) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FASSTACTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FASSTACTID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FREMARK VARCHAR(512) DEFAULT ' ' NOT NULL,
FISVOUCHER CHAR(1) DEFAULT '0' NOT NULL,
FISINCLUDEENTRY CHAR(1) DEFAULT '0' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBASECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURLOCALBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGAINLOSS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTGAINLOSS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURGAINLOSS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FSOURCEBILLDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_ADJEXCHBILLENTRY')
 CREATE TABLE T_AP_ADJEXCHBILLENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FSPECTYPE VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCENTRYID BIGINT DEFAULT 0 NOT NULL,
FBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURLOCALBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGAINLOSS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTGAINLOSS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURGAINLOSS DECIMAL(23,10) DEFAULT 0 NOT NULL
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
