﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME ='FSRCBILLID') 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FSRCBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FINAPBILL_E' AND KSQL_COL_NAME ='FEXRATETABLE') 
 ALTER TABLE T_AP_FINAPBILL_E ADD (FEXRATETABLE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FINAPBILL_E' AND KSQL_COL_NAME ='FEXRATEDATE') 
 ALTER TABLE T_AP_FINAPBILL_E ADD (FEXRATEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_INVOICE_E' AND KSQL_COL_NAME ='FEXRATETABLE') 
 ALTER TABLE T_AP_INVOICE_E ADD (FEXRATETABLE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_INVOICE_E' AND KSQL_COL_NAME ='FEXRATEDATE') 
 ALTER TABLE T_AP_INVOICE_E ADD (FEXRATEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_PAIDBILL' AND KSQL_COL_NAME ='FEXRATETABLE') 
 ALTER TABLE T_AP_PAIDBILL ADD (FEXRATETABLE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_PAIDBILL' AND KSQL_COL_NAME ='FEXRATEDATE') 
 ALTER TABLE T_AP_PAIDBILL ADD (FEXRATEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_OTHERBILL' AND KSQL_COL_NAME ='FEXRATETABLE') 
 ALTER TABLE T_AP_OTHERBILL ADD (FEXRATETABLE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_OTHERBILL' AND KSQL_COL_NAME ='FEXRATEDATE') 
 ALTER TABLE T_AP_OTHERBILL ADD (FEXRATEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_APPLYPAYBILL' AND KSQL_COL_NAME ='FEXRATETABLE') 
 ALTER TABLE T_AP_APPLYPAYBILL ADD (FEXRATETABLE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_APPLYPAYBILL' AND KSQL_COL_NAME ='FEXRATEDATE') 
 ALTER TABLE T_AP_APPLYPAYBILL ADD (FEXRATEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_BUSBILL_E') 
 CREATE TABLE T_AP_BUSBILL_E (
FID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLE BIGINT DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_SETTLERECORDENTRY' AND KSQL_COL_NAME ='FPLANDUEDATE') 
 ALTER TABLE T_AP_SETTLERECORDENTRY ADD (FPLANDUEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_SETTLERECORDENTRY' AND KSQL_COL_NAME ='FSETTLEENTRY') 
 ALTER TABLE T_AP_SETTLERECORDENTRY ADD (FSETTLEENTRY VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_SETTLERECORDENTRY' AND KSQL_COL_NAME ='FBILLENTITY') 
 ALTER TABLE T_AP_SETTLERECORDENTRY ADD (FBILLENTITY VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_SETTLERECORD' AND KSQL_COL_NAME ='FPLANDUEDATE') 
 ALTER TABLE T_AP_SETTLERECORD ADD (FPLANDUEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_SETTLERECORD' AND KSQL_COL_NAME ='FSETTLEENTRY') 
 ALTER TABLE T_AP_SETTLERECORD ADD (FSETTLEENTRY VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_SETTLERECORD' AND KSQL_COL_NAME ='FMAINBILLENTITY') 
 ALTER TABLE T_AP_SETTLERECORD ADD (FMAINBILLENTITY VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_LIQUIDATION' AND KSQL_COL_NAME ='FEXRATETABLEID') 
 ALTER TABLE T_AP_LIQUIDATION ADD (FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_LIQUIDATION' AND KSQL_COL_NAME ='FEXRATEDATE') 
 ALTER TABLE T_AP_LIQUIDATION ADD (FEXRATEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL' AND KSQL_COL_NAME ='FPAYPROPERTYID') 
 ALTER TABLE T_AP_BUSBILL ADD (FPAYPROPERTYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL' AND KSQL_COL_NAME ='FSRCFINBILLID') 
 ALTER TABLE T_AP_BUSBILL ADD (FSRCFINBILLID BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
