-- 幂等性本地记录表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IDEM_RPCIDEMPOTENTPROCESS')
 CREATE TABLE T_IDEM_RPCIDEMPOTENTPROCESS (
FIDEMPOTENTKEY VARCHAR(64) DEFAULT ' ' NOT NULL,
FCREATEDTIME DATETIME,
FRENEWALINSTANCE VARCHAR(20) DEFAULT ' ' NOT NULL,
FRENEWALTIME BIGINT DEFAULT 0 NOT NULL,
FALIVEDTIME BIGINT DEFAULT 0 NOT NULL,
FRESULT NCLOB,
FEXECUTESTATUS CHAR(1) DEFAULT '0' NOT NULL
);

-- 以下只是表中字段的解释，无需执行
-- COMMENT ON TABLE t_idem_rpcidempotentprocess IS '幂等性本地表';
-- COMMENT ON COLUMN t_idem_rpcidempotentprocess.fidempotentkey IS '幂等唯一标识';
-- COMMENT ON COLUMN t_idem_rpcidempotentprocess.fcreatedtime IS '创建时间';
-- COMMENT ON COLUMN t_idem_rpcidempotentprocess.frenewalinstance IS 'jvm实例启动时间';
-- COMMENT ON COLUMN t_idem_rpcidempotentprocess.frenewaltime IS '最新续约时间';
-- COMMENT ON COLUMN t_idem_rpcidempotentprocess.falivedtime IS '有效时长';
-- COMMENT ON COLUMN t_idem_rpcidempotentprocess.fresult IS '执行结果';
-- COMMENT ON COLUMN t_idem_rpcidempotentprocess.fexecutestatus IS '执行状态';