﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
/**脚本锁定重新提交 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_FINAPBILLDETAILENTRY_E') 
 CREATE TABLE T_AP_FINAPBILLDETAILENTRY_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FVATTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYTAX DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL_E' AND KSQL_COL_NAME ='FISINTERTAX') 
 ALTER TABLE T_AP_BUSBILL_E ADD (FISINTERTAX CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME ='FPAYTAX') 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FPAYTAX DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME ='FVATTAX') 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FVATTAX DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FINAPBILL_E' AND KSQL_COL_NAME ='FISINTERTAX') 
 ALTER TABLE T_AP_FINAPBILL_E ADD (FISINTERTAX CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_BUSBILLTAXENTRY') 
 CREATE TABLE T_AP_BUSBILLTAXENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FTAXCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FISINPRICETAX CHAR(1) DEFAULT ' ' NOT NULL,
FISINPUTTAX CHAR(1) DEFAULT ' ' NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXTIME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINCLUDETAIL CHAR(1) DEFAULT ' ' NOT NULL,
FDISCOUNTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINCLUDEDISCOUNT CHAR(1) DEFAULT ' ' NOT NULL,
FINCLUDEVAT CHAR(1) DEFAULT ' ' NOT NULL,
FTAXBASE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCANDEDUCTIBLE CHAR(1) DEFAULT ' ' NOT NULL,
FDEDUCTIONRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEDUCTIBLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNONDEDUCTIBLE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_FINAPBILLTAXENTRY') 
 CREATE TABLE T_AP_FINAPBILLTAXENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FTAXCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FISINPRICETAX CHAR(1) DEFAULT ' ' NOT NULL,
FISINPUTTAX CHAR(1) DEFAULT ' ' NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXTIME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINCLUDETAIL CHAR(1) DEFAULT ' ' NOT NULL,
FDISCOUNTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINCLUDEDISCOUNT CHAR(1) DEFAULT ' ' NOT NULL,
FINCLUDEVAT CHAR(1) DEFAULT ' ' NOT NULL,
FTAXBASE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCANDEDUCTIBLE CHAR(1) DEFAULT ' ' NOT NULL,
FDEDUCTIONRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEDUCTIBLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNONDEDUCTIBLE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/