﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_AP_MATCHINVOICE', 'T_AP_MATCHINVOICE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_MATCHINV_ORGDATE') CREATE INDEX IDX_AP_MATCHINV_ORGDATE ON T_AP_MATCHINVOICE ( FORGID ,FCREATETIME );


 EXEC P_ALTERPK 'PK_T_AP_MATCHINVOICEENTRY', 'T_AP_MATCHINVOICEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_MIE_FID') CREATE INDEX IDX_AP_MIE_FID ON T_AP_MATCHINVOICEENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_MIE_FINVID') CREATE INDEX IDX_AP_MIE_FINVID ON T_AP_MATCHINVOICEENTRY ( FINVOICEID );


 EXEC P_ALTERPK 'PK_T_AP_MATCHINVOICESUBENTRY', 'T_AP_MATCHINVOICESUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_MISE_FENTRYID') CREATE INDEX IDX_AP_MISE_FENTRYID ON T_AP_MATCHINVOICESUBENTRY ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_MISE_FAPBILLID') CREATE INDEX IDX_AP_MISE_FAPBILLID ON T_AP_MATCHINVOICESUBENTRY ( FAPBILLID );


 EXEC P_ALTERPK 'PK_T_AP_MATCHSCHEME', 'T_AP_MATCHSCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_MATCHSCHEME_NUMBER') CREATE INDEX IDX_AP_MATCHSCHEME_NUMBER ON T_AP_MATCHSCHEME ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_AP_MATCHSCHEME_L', 'T_AP_MATCHSCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_MATCHSCHEMEL_FID') CREATE INDEX IDX_AP_MATCHSCHEMEL_FID ON T_AP_MATCHSCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_AP_MATCHSCHEMEENTRY', 'T_AP_MATCHSCHEMEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AP_MATCHSCHENTRY_FID') CREATE INDEX IDX_AP_MATCHSCHENTRY_FID ON T_AP_MATCHSCHEMEENTRY ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_constraint.sql **/
