﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_INVOICE_E' AND KSQL_COL_NAME ='FISMATCHED') 
 ALTER TABLE T_AP_INVOICE_E ADD (FISMATCHED CHAR(1) DEFAULT '0' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_MATCHINVOICE') 
 CREATE TABLE T_AP_MATCHINVOICE (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FORDERBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FMATCHSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FINVOICETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FASSTACTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FASSTACTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBASECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FISMATCHED CHAR(1) DEFAULT '0' NOT NULL,
FBUYERNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FASSTACTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_MATCHINVOICEENTRY') 
 CREATE TABLE T_AP_MATCHINVOICEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINVOICEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FINVOICECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICEID BIGINT DEFAULT 0 NOT NULL,
FINVOICEENTRYID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALVERSIONID BIGINT DEFAULT 0 NOT NULL,
FSPECTYPE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINVNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINVUNIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMEASUREUNITID BIGINT DEFAULT 0 NOT NULL,
FQUANTITY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICETAXTOTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTMODE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXCLASSID BIGINT DEFAULT 0 NOT NULL,
FAMOUNTDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICETAXTOTALDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYLOG NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYLOG_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_MATCHINVOICESUBENTRY') 
 CREATE TABLE T_AP_MATCHINVOICESUBENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORDERBILL NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORDERBILLID BIGINT DEFAULT 0 NOT NULL,
FSTOCKBILL NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTOCKBILLID BIGINT DEFAULT 0 NOT NULL,
FSTOCKENTRYID BIGINT DEFAULT 0 NOT NULL,
FAPBILLID BIGINT DEFAULT 0 NOT NULL,
FAPBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNINVOICEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNINVOICEDBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNINVOICEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEDIFF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURAMTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURAMT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_MATCHSCHEME') 
 CREATE TABLE T_AP_MATCHSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(30) DEFAULT ' ' NOT NULL,
FSHEDULEPLANID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FEXECUTERID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
FISMULTIPLE CHAR(1) DEFAULT '1' NOT NULL,
FAPPLICABILITY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXCEPLANDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAPPLICABILITY_TAG NCLOB,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL,
FBIZTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FTIMEORDER VARCHAR(30) DEFAULT ' ' NOT NULL,
FMATCHMODE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMATCHRULE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMATCHTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPRICETOLERANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXTOLERANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMTTOLERANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMTTOLERANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERIFYSCHEMEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_MATCHSCHEME_L') 
 CREATE TABLE T_AP_MATCHSCHEME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_MATCHSCHEMEENTRY') 
 CREATE TABLE T_AP_MATCHSCHEMEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISFORCE CHAR(1) DEFAULT '1' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMATCHFIELD VARCHAR(30) DEFAULT ' ' NOT NULL,
FMAPPINGFIELD VARCHAR(30) DEFAULT ' ' NOT NULL,
FORDERFIELD VARCHAR(30) DEFAULT ' ' NOT NULL,
FRECEIVEFIELD VARCHAR(30) DEFAULT ' ' NOT NULL
);
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
