﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_APPLYPAYBILLENTRY') 
 CREATE TABLE T_AP_APPLYPAYBILLENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYMENTTYPE BIGINT DEFAULT 0 NOT NULL,
FASSTACTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FASSTACT BIGINT DEFAULT 0 NOT NULL,
FASSACCT VARCHAR(50) DEFAULT ' ' NOT NULL,
FBEBANK BIGINT DEFAULT 0 NOT NULL,
FAPPLYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPSELEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPROVEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPROVEDSELEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPAYDATE DATETIME,
FDUEDATE DATETIME,
FSETTLEMENTTYPE BIGINT DEFAULT 0 NOT NULL,
FUNPAIDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOREBILLTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCOREBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOREBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FCOREBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_APPLYPAYBILL') 
 CREATE TABLE T_AP_APPLYPAYBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FAPPLYDATE DATETIME,
FAPPLYORG BIGINT DEFAULT 0 NOT NULL,
FSETTLEORG BIGINT DEFAULT 0 NOT NULL,
FPURORG BIGINT DEFAULT 0 NOT NULL,
FPAYORG BIGINT DEFAULT 0 NOT NULL,
FPURDEPT BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAPPLYCAUSE VARCHAR(510),
FPAYCURRENCY BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCY BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPROVALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPRSELEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPLYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPSELEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FAUDITDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FPAYSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FAPPLYCAUSE_TAG NCLOB
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
