/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_BUSPLANENTRY') 
 CREATE TABLE T_AP_BUSPLANENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPLANDUEDATE DATETIME,
FPLANSETTLETYPE BIGINT DEFAULT 0 NOT NULL,
FPLANPRICETAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANPRICETAXLOCAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICEDLOCAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOINVOICEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOINVOICELOCAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNINVOICEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNINVOICEDLOCAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FISPRESENT', 'CHAR(1)', 'NOT NULL', '0001', '''0''';

 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FCOREBILLNO', 'NVARCHAR(50)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FCOREBILLENTRYSEQ', 'INT', 'NOT NULL', '1111', '0';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME IN ('FSPECTYPE')) 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FSPECTYPE VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME IN ('FASSISTANTATTRID')) 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FASSISTANTATTRID VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME IN ('FUNITPRICE')) 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FUNITPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME IN ('FTAXUNITPRICE')) 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FTAXUNITPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME IN ('FTAXLOCALAMT')) 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FTAXLOCALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME IN ('FDISCOUNTLOCALAMT')) 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FDISCOUNTLOCALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME IN ('FACTUNITPRICE')) 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FACTUNITPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME IN ('FACTTAXUNITPRICE')) 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FACTTAXUNITPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME IN ('FLOCALAMT')) 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FLOCALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME IN ('FCOREBILLID')) 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FCOREBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME IN ('FCOREBILLENTRYID')) 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FCOREBILLENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME IN ('FINVOICEDAMT')) 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FINVOICEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME IN ('FINVOICEDLOCAMT')) 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FINVOICEDLOCAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME IN ('FNOINVOICEAMT')) 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FNOINVOICEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME IN ('FNOINVOICELOCAMT')) 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FNOINVOICELOCAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME IN ('FUNINVOICEDAMT')) 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FUNINVOICEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME IN ('FUNINVOICEDLOCAMT')) 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FUNINVOICEDLOCAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME IN ('FINVOICECODE')) 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FINVOICECODE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME IN ('FINVOICENO')) 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FINVOICENO VARCHAR(30) DEFAULT ' ' NOT NULL );
--IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME IN ('FREMARK')) 
-- ALTER TABLE T_AP_BUSBILLENTRY ADD (FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILLENTRY' AND KSQL_COL_NAME IN ('FSRCENTRYID')) 
 ALTER TABLE T_AP_BUSBILLENTRY ADD (FSRCENTRYID BIGINT DEFAULT 0 NOT NULL );
 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FPRICE', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FACTPRICE', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FACTPRICETAX', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FTAXBASE', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FAMOUNTBASE', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FNONINVAMOUNT', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FE_REMARK', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FNINVAMOUNT', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FVERIFYAMOUNT', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FUNVERIFYAMOUNT', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FNONINVQTY', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FNINVQTY', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FUNVERIFYQTY', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FVERIFYQTY', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FNONINVAMOUNTBASE', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FNINVAMOUNTBASE', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FDISCOUNTAMOUNTBASE', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FPAYABLEQTY', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FPAYABLEAMT', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILLENTRY', 'FPRICETAX', 'NULL', 'NULL', '1001', 'NULL';

 --EXEC p_AlterColumn 'T_AP_BUSBILL', 'FREMARK', 'NVARCHAR(255)', 'NOT NULL', '0011', ''' ''';

 EXEC p_AlterColumn 'T_AP_BUSBILL', 'FBILLSTATUS', 'VARCHAR(30)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_AP_BUSBILL', 'FSOURCEBILLTYPE', 'VARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_AP_BUSBILL', 'FISPERIOD', 'CHAR(1)', 'NOT NULL', '0001', '''0''';

 EXEC p_AlterColumn 'T_AP_BUSBILL', 'FISINCLUDETAX', 'CHAR(1)', 'NOT NULL', '0001', '''0''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL' AND KSQL_COL_NAME IN ('FPAYMODE')) 
 ALTER TABLE T_AP_BUSBILL ADD (FPAYMODE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL' AND KSQL_COL_NAME IN ('FISADJUST')) 
 ALTER TABLE T_AP_BUSBILL ADD (FISADJUST CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL' AND KSQL_COL_NAME IN ('FSETTLEMENTTYPEID')) 
 ALTER TABLE T_AP_BUSBILL ADD (FSETTLEMENTTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL' AND KSQL_COL_NAME IN ('FLOCALAMT')) 
 ALTER TABLE T_AP_BUSBILL ADD (FLOCALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL' AND KSQL_COL_NAME IN ('FTAXLOCAMT')) 
 ALTER TABLE T_AP_BUSBILL ADD (FTAXLOCAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL' AND KSQL_COL_NAME IN ('FISFULLINVOICE')) 
 ALTER TABLE T_AP_BUSBILL ADD (FISFULLINVOICE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL' AND KSQL_COL_NAME IN ('FINVOICEDAMT')) 
 ALTER TABLE T_AP_BUSBILL ADD (FINVOICEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL' AND KSQL_COL_NAME IN ('FINVOICEDLOCAMT')) 
 ALTER TABLE T_AP_BUSBILL ADD (FINVOICEDLOCAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL' AND KSQL_COL_NAME IN ('FNOINVOICEAMT')) 
 ALTER TABLE T_AP_BUSBILL ADD (FNOINVOICEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL' AND KSQL_COL_NAME IN ('FNOINVOICELOCAMT')) 
 ALTER TABLE T_AP_BUSBILL ADD (FNOINVOICELOCAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL' AND KSQL_COL_NAME IN ('FUNINVOICEDAMT')) 
 ALTER TABLE T_AP_BUSBILL ADD (FUNINVOICEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL' AND KSQL_COL_NAME IN ('FUNINVOICEDLOCAMT')) 
 ALTER TABLE T_AP_BUSBILL ADD (FUNINVOICEDLOCAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL' AND KSQL_COL_NAME IN ('FSOURCEBILLID')) 
 ALTER TABLE T_AP_BUSBILL ADD (FSOURCEBILLID VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BUSBILL' AND KSQL_COL_NAME IN ('FSOURCEBILLNO')) 
 ALTER TABLE T_AP_BUSBILL ADD (FSOURCEBILLNO NVARCHAR(255) DEFAULT ' ' NOT NULL );
 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILL', 'FBIZTYPEID', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILL', 'FPROCURETYPE', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILL', 'FASSTACTNAME', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILL', 'FNONINVAMOUNT', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILL', 'FUNVERIFYAMOUNT', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILL', 'FVERIFYSTATUS', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILL', 'FTAXBASE', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILL', 'FNONINVAMOUNTBASE', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILL', 'FPURMODE', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILL', 'FINVOICESUPID', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILL', 'FTAXTYPE', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILL', 'FISARCHIVE', 'NULL', 'NULL', '1001', 'NULL';

 --- d column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_AP_BUSBILL', 'FPAYPROPERTYID', 'NULL', 'NULL', '1001', 'NULL';
 
 /**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/