﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_JOURNAL') 
 CREATE TABLE T_AP_JOURNAL (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FASSTACTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FASSTACTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBASECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPAYABLEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALPAYABLEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FESTIMATEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALESTIMATEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREPAIDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALPREPAIDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_SETTINGMAPPER') 
 CREATE TABLE T_AP_SETTINGMAPPER (
FID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FKEY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BALANCE' AND KSQL_COL_NAME IN ('FPREPAIDPERIODAMT')) 
 ALTER TABLE T_AP_BALANCE ADD (FPREPAIDPERIODAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BALANCE' AND KSQL_COL_NAME IN ('FLOCALPREPAIDPERIODAMT')) 
 ALTER TABLE T_AP_BALANCE ADD (FLOCALPREPAIDPERIODAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BALANCE' AND KSQL_COL_NAME IN ('FPREPAIDBALANCEAMT')) 
 ALTER TABLE T_AP_BALANCE ADD (FPREPAIDBALANCEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BALANCE' AND KSQL_COL_NAME IN ('FLOCALPREPAIDBALANCEAMT')) 
 ALTER TABLE T_AP_BALANCE ADD (FLOCALPREPAIDBALANCEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BALANCE' AND KSQL_COL_NAME IN ('FPREPAIDAMT')) 
 ALTER TABLE T_AP_BALANCE ADD (FPREPAIDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_BALANCE' AND KSQL_COL_NAME IN ('FLOCALPREPAIDAMT')) 
 ALTER TABLE T_AP_BALANCE ADD (FLOCALPREPAIDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
