﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_FINAPBILL' AND KSQL_COL_NAME ='FISINVOICEMATCH') 
 ALTER TABLE T_AP_FINAPBILL ADD (FISINVOICEMATCH CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_INVOICE_MATCH_RECORD') 
 CREATE TABLE T_AP_INVOICE_MATCH_RECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FINVOICEBILLID BIGINT DEFAULT 0 NOT NULL,
FINVMATCH VARCHAR(30) DEFAULT ' ' NOT NULL,
FCHOOSERULE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMATCHTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMATCHREC CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AP_INVOICE_MATCHENTRY') 
 CREATE TABLE T_AP_INVOICE_MATCHENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBILLTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FINVPK BIGINT DEFAULT 0 NOT NULL,
FMATCHQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMATCHAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FAPBILLID BIGINT DEFAULT 0 NOT NULL,
FAPBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FUPENTRYPK BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_INVOICE' AND KSQL_COL_NAME ='FUNMATCHAMT') 
 ALTER TABLE T_AP_INVOICE ADD (FUNMATCHAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_INVOICE' AND KSQL_COL_NAME ='FMATCHRULE') 
 ALTER TABLE T_AP_INVOICE ADD (FMATCHRULE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_INVOICEENTRY' AND KSQL_COL_NAME ='FUNMATCHAMT') 
 ALTER TABLE T_AP_INVOICEENTRY ADD (FUNMATCHAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_INVOICEENTRY' AND KSQL_COL_NAME ='FUNMATCHQTY') 
 ALTER TABLE T_AP_INVOICEENTRY ADD (FUNMATCHQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AP_INVOICEENTRY' AND KSQL_COL_NAME ='FMATCHRULE') 
 ALTER TABLE T_AP_INVOICEENTRY ADD (FMATCHRULE VARCHAR(30) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\AP_table.sql **/
